# pqxx::internal::namedclass Class Reference

`#include <util.hxx>`

Inheritance diagram for pqxx::internal::namedclass:

[legend]
List of all members.

## Public Member Functions

| namedclass (const PGSTD::string &Classname, const PGSTD::string &Name="")
const PGSTD::string & | name () const throw ()
const PGSTD::string & | classname () const throw ()
PGSTD::string | description () const

## Constructor & Destructor Documentation

pqxx::internal::namedclass::namedclass | ( | const PGSTD::string & | Classname,
|  | const PGSTD::string & | Name = `""` |
| ) |  |  |

## Member Function Documentation

const PGSTD::string& pqxx::internal::namedclass::name | ( |  | ) | const throw ()

const PGSTD::string& pqxx::internal::namedclass::classname | ( |  | ) | const throw ()

string pqxx::internal::namedclass::description | ( |  | ) | const

The documentation for this class was generated from the following files:

- util.hxx
- util.cxx